classification
Title: Add description of new syntax of with to 2.7 whatsnew document.
Type: Stage:
Components: Documentation Versions: Python 3.1, Python 2.7
process
Status: closed Resolution: wont fix
Dependencies: Superseder:
Assigned To: georg.brandl Nosy List: georg.brandl, loewis, rhettinger, vshenoy
Priority: normal Keywords: patch

Created on 2009-06-13 09:38 by vshenoy, last changed 2009-06-16 04:16 by rhettinger. This issue is now closed.

Files
File name Uploaded Description Edit
doc_mult_context_trunk_jun_13_2009.patch vshenoy, 2009-06-13 12:20 Doc update of new with syntax in 2.7 whatsnew in trunk.
doc_mult_context_py3k_jun_13_2009.patch vshenoy, 2009-06-13 12:21 Doc update of new with syntax in 2.7 whatsnew in py3k.
Messages (7)
msg89318 - (view) Author: Vikram U Shenoy (vshenoy) Date: 2009-06-13 09:38
Attached are patches adding multiple context manager usage feature to
whats new document to both 2.7.rst in trunk and py3k.

Are 2.x.rsts in py3k supposed to be in sync with trunks 2.x.rsts ?
msg89320 - (view) Author: Martin v. Löwis (loewis) * (Python committer) Date: 2009-06-13 10:49
Are you sure you have attached the right patches? They don't seem to
change the howto document, but instead fix some typos.
msg89323 - (view) Author: Vikram U Shenoy (vshenoy) Date: 2009-06-13 12:20
Oops, my mistake. Reattached the proper patches.
msg89384 - (view) Author: Raymond Hettinger (rhettinger) * (Python committer) Date: 2009-06-15 02:32
AMK writes the whatsnew for 2.7 and I write it for 3.1.
In the case of 3.1, I already have an entry.
msg89385 - (view) Author: Raymond Hettinger (rhettinger) * (Python committer) Date: 2009-06-15 02:50
I should have been clearer.  There is no need to submit patches for
whatsnew documents.  Those are solely the responsiblity of their
individual maintainers (see the instructions at the top of the file).
msg89423 - (view) Author: Vikram U Shenoy (vshenoy) Date: 2009-06-16 04:11
I see. OK, so you want me to close this bug ?
msg89424 - (view) Author: Raymond Hettinger (rhettinger) * (Python committer) Date: 2009-06-16 04:16
Thanks.  BTW, other doc patches are always welcome.
History
Date User Action Args
2009-06-16 04:16:33rhettingersetstatus: open -> closed
resolution: wont fix
messages: + msg89424
2009-06-16 04:11:45vshenoysetmessages: + msg89423
2009-06-15 02:50:56rhettingersetmessages: + msg89385
2009-06-15 02:32:06rhettingersetnosy: + rhettinger
messages: + msg89384
2009-06-13 12:21:41vshenoysetfiles: + doc_mult_context_py3k_jun_13_2009.patch
2009-06-13 12:20:56vshenoysetfiles: + doc_mult_context_trunk_jun_13_2009.patch

messages: + msg89323
2009-06-13 12:18:53vshenoysetfiles: - doc_typo_py3k_may_22_2009.patch
2009-06-13 12:18:50vshenoysetfiles: - doc_typo_trunk_may_22_2009.patch
2009-06-13 10:49:32loewissetnosy: + loewis
messages: + msg89320
2009-06-13 09:40:35vshenoysetfiles: + doc_typo_py3k_may_22_2009.patch
versions: + Python 3.1
2009-06-13 09:39:30vshenoysetfiles: + doc_typo_trunk_may_22_2009.patch
keywords: + patch
2009-06-13 09:38:48vshenoycreate